Unit tzp17e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ZP17E_p;

function tzp17e: String;

implementation

function tzp17e: String;
var
_i,NREAL,IERR :Integer;
ROOT :Array [0..3] of Extended;
const
A :Array [0..4] of Extended = ( 1.0e0,-10.0e0,35.0e0,-50.0e0,24.0e0 );
begin
Result := '';  {   }
Result := Result + Format('%s',[' TEST FOR SUBROUTINE ZP17E ']);
ZP17E(A,NREAL,ROOT,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' COEFF: ']);
Result := Result + #$0D#$0A;
for _i:=0 to 4 do
 begin
  Result := Result + Format('%20.16f ',[A[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' REALS: ']);
Result := Result + Format('%5d ',[NREAL]);
Result := Result + Format('%s',[#$0D#$0A + ' ROOTS: ']);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[ROOT[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + '  IERR: ']);
Result := Result + Format('%5d ',[IERR]);
UtRes('tzp17e',Result);  {     tzp17e.res }
exit;
end;

end.
